Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# RecorderBase Class Reference

This is the base class to a number of objects that record particular kinds of user input (like a MouseRecorder) to use in conjunction with a RecorderController to record the user's inputs for a session. More...

Inheritance diagram for RecorderBase:

List of all members.

## Public Member Functions
bool | isPlaying ()
| Returns true if this recorder is presently playing back data from session file, false otherwise.
bool | isRecording ()
| Returns true if this recorder is presently recording data for saving to a session file, false otherwise.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is the base class to a number of objects that record particular kinds of user input (like a MouseRecorder) to use in conjunction with a RecorderController to record the user's inputs for a session.

Note that RecorderBase does not actually inherit from TypedObject, even though it defines get_type(). The assumption is that the classes that derive from RecorderBase might also inherit independently from TypedObject.

It also does not inherit from TypedWritable, but it defines a method called write_recorder() which is very similar to a TypedWritable's write_datagram(). Classes that derive from RecorderBase and also inherit from TypedWritable may choose to remap write_recorder() to do exactly the same thing as write_datagram(), or they may choose to write something slightly different.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from ReferenceCount.

Reimplemented in MouseRecorder, and SocketStreamRecorder.

bool isPlaying | ( |  | ) |

Returns true if this recorder is presently playing back data from session file, false otherwise.

If this is true, play_data() will be called from time to time.

bool isRecording | ( |  | ) |

Returns true if this recorder is presently recording data for saving to a session file, false otherwise.

If this is true, record_data() will be called from time to time.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties